Gecode::Int::Sorted::TupleMaxInc< View > Class Template Reference

Index comparison for ViewArray<Tuple>. More...

`#include <sortsup.hpp>`

## Public Member Functions

| TupleMaxInc (const ViewArray< View > &x0)
bool | operator() (const int i, const int j)

## Protected Attributes

ViewArray< View > | x

## Detailed Description

template<class View>
class Gecode::Int::Sorted::TupleMaxInc< View >

Index comparison for ViewArray<Tuple>.

Checks whether for two indices i and j the first component of the corresponding viewtuples and the upper domain bound of is larger than the upper domain bound of

Definition at line 260 of file sortsup.hpp.

## Constructor & Destructor Documentation

## TupleMaxInc()

template<class View>

Gecode::Int::Sorted::TupleMaxInc< View >::TupleMaxInc | ( | const ViewArray< View > & | x0 | ) |

inline

Definition at line 264 of file sortsup.hpp.

## Member Function Documentation

## operator()()

template<class View>

bool Gecode::Int::Sorted::TupleMaxInc< View >::operator() | ( | const int | i,
|  | const int | j )

inline

Definition at line 265 of file sortsup.hpp.

## Member Data Documentation

## x

template<class View>

ViewArray<View> Gecode::Int::Sorted::TupleMaxInc< View >::x

protected

Definition at line 262 of file sortsup.hpp.

The documentation for this class was generated from the following file:

- gecode/int/sorted/sortsup.hpp